Bug 100352 - [LOCALIZATION] Strings in sfx2/classification/example.xml should be translatable
Summary: [LOCALIZATION] Strings in sfx2/classification/example.xml should be translatable
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
5.2.0.0.beta2
Hardware: All All
: medium normal
Assignee: Miklos Vajna
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0.1 target:5....
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-13 11:19 UTC by Olivier Hallot
Modified: 2016-12-28 13:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
example_es.xml (generic translation for all countries) (3.63 KB, text/xml)
2016-07-09 20:33 UTC, Adolfo Jayme
Details
example.xml for pt-BR (3.60 KB, text/xml)
2016-07-10 23:27 UTC, Olivier Hallot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2016-06-13 11:19:46 UTC
The new resource for Document Classification has strings not translated in the UI.

these strings are in file sfx2/classification/example.xml (after vmiklos)

These appears in the UI as defaults.
Comment 1 Buovjaga 2016-06-13 11:41:01 UTC
I'll set to NEW.
Comment 2 Cor Nouws 2016-06-13 13:06:18 UTC
I doubt if translation those strings is intended.

The logic behind the implementation of classification is that organizations using it, add their own xml files with classification policy.

The available file holding the names, was the name "example.xml".

Of course one could translate the files in all languages, but I doubt if that makes sense.

@Olivier: do you have an indication that they _should_.
Comment 3 Miklos Vajna 2016-06-13 13:28:12 UTC
My first reaction was to agree with Cor, however it's indeed strange if a default installation presents English strings in a localized build. Maybe a middle ground would be to leave the example policy alone, but in case one of those 4 category names are used in the policy, then those would be replaced with their translated ones on the UI.
Comment 4 Cor Nouws 2016-06-13 13:46:35 UTC
And then it's logic to translate the elements <baf:Identifier>Document: Footer
and <baf:Identifier>Document: Watermark too ?
Comment 5 Cor Nouws 2016-06-13 13:47:34 UTC
I mean: that is what I expect to be the reasonable consequence: that people will ask for that too.
Comment 6 Olivier Hallot 2016-06-13 13:48:06 UTC
It should be translated as Miklos points, even if each corporation will have its own example.xml. They are meaningful for many organizations and is a very good starting point to implement/enhance a classification policy.
Comment 7 Olivier Hallot 2016-06-13 13:56:40 UTC
(In reply to Cor Nouws from comment #5)
> I mean: that is what I expect to be the reasonable consequence: that people
> will ask for that too.

yes, absolutely.
Comment 8 Cor Nouws 2016-06-13 14:04:43 UTC
(In reply to Olivier Hallot from comment #7)

> yes, absolutely.

Fine for me, of course.
For doing this, I would think more of a mechanism like the share/autocorr/acor_xx.dat then translation in Pootle.
Comment 9 Adolfo Jayme 2016-06-15 13:05:44 UTC Comment hidden (no-value)
Comment 10 Miklos Vajna 2016-06-16 14:36:25 UTC
Well, who will implement that? If none of you commenters step up to implement it, then I can implement the possibility to localize the category names based on the UI language as a first step. (Then we can iterate from that in follow-up bugreports if necessary.)
Comment 11 Miklos Vajna 2016-06-17 19:49:44 UTC
I think I have an idea how to make this similar to the autocorrect files, I'm looking at it.
Comment 12 Cor Nouws 2016-06-17 20:41:16 UTC
(In reply to Miklos Vajna from comment #11)
> I think I have an idea how to make this similar to the autocorrect files,
> I'm looking at it.

Ah, that would be nice :)
Comment 13 Commit Notification 2016-06-21 08:45:54 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1811e656f08ba011a3c2a51cc60e90d2fa58e4c2

tdf#100352 sfx classification: support localized policy files

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Miklos Vajna 2016-06-21 12:03:47 UTC
The above implements the possibility to have localized versions of the example policy. Now it's up to the localizers if they provide translated versions or not. If someone is interested in improving this, so that the to-be-translated strings appear in po files and the other way around, that might be nice (so that translators could just interact with Pootle exclusively). But that should be a separate bug, I have no idea how to do that. :-)
Comment 15 Commit Notification 2016-06-21 13:57:47 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9a16da8617634955eacded60083bec7ffd8b58b&h=libreoffice-5-2

tdf#100352 sfx classification: support localized policy files

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2016-06-26 12:06:01 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b6a02d8d48c135103aaa980fd27eec07b9223b6

Slovenian example.xml (related: tdf#100352)

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2016-06-26 20:10:56 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3d1d706414fff4484b043f5a6e4ee3c60ad5670e&h=libreoffice-5-2

Slovenian example.xml (related: tdf#100352)

It will be available in 5.2.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Adolfo Jayme 2016-06-27 02:45:14 UTC
It seems that one needs to provide the translated XML files named with a full BCP 47 tag (e.g., es-MX), since in my testing, a translated file named “example_es.xml” wasn’t picked up by LibreOffice. Is there a way I can provide a single translation for all locales, or do I have to duplicate the file for each locale?
Comment 19 Olivier Hallot 2016-06-27 10:12:41 UTC
(In reply to Adolfo Jayme from comment #18)
> It seems that one needs to provide the translated XML files named with a
> full BCP 47 tag (e.g., es-MX), since in my testing, a translated file named
> “example_es.xml” wasn’t picked up by LibreOffice. Is there a way I can
> provide a single translation for all locales, or do I have to duplicate the
> file for each locale?

Did you had full success with example_es-MX.xml? because I did it for pt-BR and had only the header partially localized. the "Confidential, Internal Use..." listboxes were not localized.
Comment 20 Commit Notification 2016-07-09 20:24:28 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=30f81c01d247cdffa0de86367d5f2be80887a251

tdf#100352 Make the watermarks and colored infobar work in Slovenian

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Adolfo Jayme 2016-07-09 20:33:19 UTC
Created attachment 126139 [details]
example_es.xml (generic translation for all countries)

I’m attaching a localized file in Spanish, which should be applied to any Spanish-speaking locale.

(In reply to Olivier Hallot from comment #19)
> Did you had full success with example_es-MX.xml? because I did it for pt-BR
> and had only the header partially localized. the "Confidential, Internal
> Use..." listboxes were not localized.

Please base your translation off the updated Slovenian file (see commit in comment 20) or my attached Spanish file, to make it work.
Comment 22 Commit Notification 2016-07-10 09:33:28 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=463fe57dc9527602bc92b0ba74505a1934949dd5&h=libreoffice-5-2

tdf#100352 Make the watermarks and colored infobar work in Slovenian

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Olivier Hallot 2016-07-10 23:27:20 UTC
Created attachment 126156 [details]
example.xml for pt-BR

contains classification for pt-BR
Comment 24 Commit Notification 2016-07-11 15:33:38 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5179eeacb2c1a96395ce5a0ba988e3e16129fbf1&h=libreoffice-5-2-0

tdf#100352 Make the watermarks and colored infobar work in Slovenian

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2016-07-14 07:28:34 UTC
Cor Nouws committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f9ef86c7a1c10e16c4aa4988706047058ef7f167

Dutch example.xml - file added too.. - related: tdf#100352

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2016-08-19 15:25:47 UTC
Cor Nouws committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b6df81b609f5cc9e7cc3080ed86e0433188bf097

Dutch example.xml classification: Corrections&improvements - tdf#100352

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2016-10-11 12:32:52 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1ddbbe3e0aebfa86f284ac2712c0d1b36b36fe54

tdf#100352 Provide Catalan classification file

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2016-10-17 06:33:19 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=74c1355c99b3c5edb9673cc1bf1438f10e68d658

tdf#100352 Provide French classification file

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2016-11-03 07:20:43 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f2bc1a61f6df66848ecb073a97b6b22fa469ef4d

tdf#100352 Classification: Update French translation

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2016-11-11 15:33:02 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5bbad83f5a4144181a46c68784a3ff3e3f368c2d&h=libreoffice-5-2

tdf#100352 Backport ca-ES, fr-FR and nl-NL classification files

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.